shishi_key_version(3)

NAME
shishi_key_version - API function

SYNOPSIS
#include <shishi.h>

uint32_t shishi_key_version(const Shishi_key * key);

ARGUMENTS

const Shishi_key * key
    structure that holds key information

DESCRIPTION
Get the "kvno" (key version) of key. It will be UINT32_MAX if the key is not long-lived.

RETURN VALUE
Returns the version of key ("kvno").

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.